Lua_ChaosCopyChapterRewardWindow = class("Lua_ChaosCopyChapterRewardWindow", Lua_Window)
function Lua_ChaosCopyChapterRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosCopyChapterRewardWindow";
	self.skinName = "ChaosCopyChapterRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;

	self:addPreLoadRes("/images/common/xui_common_window_004.png", Lua_LoadFileType.IMG);
	self:addPreLoadRes("/effects/uiEffects/ui_ty_reward01", Lua_LoadFileType.UNITY3D);
end

function Lua_ChaosCopyChapterRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.bgEff = UICreate.createUIEffect(self.content, nil, nil, 0, 80);
	self.bgEff.siblingIndex = 1;
	self.bgEff:addLuaLoadCompleteFun(self, self.onBgEffLoaded);
	self.bgEff:setUrl("/effects/uiEffects/ui_ty_reward01", "ui_ty_reward01");

	self.titleEff = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_getreward", "ui_getreward", -221, 323);
	self.rewardEff = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_ty_reward02", "ui_ty_reward02", 0, 80);

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(0, 20, 0);

	self.btnSubmit:addClickFuntion(self, self.hide);

	self:updateShowInfo();
end

function Lua_ChaosCopyChapterRewardWindow:onBgEffLoaded()
    self.bgEff:setAct(1);
end

function Lua_ChaosCopyChapterRewardWindow:dispose()
	if self.bgEff then
		self.bgEff:dispose();
		self.bgEff = nil;
	end
	if self.titleEff then
		self.titleEff:dispose();
		self.titleEff = nil;
	end
	if self.rewardEff then
		self.rewardEff:dispose();
		self.rewardEff = nil;
	end
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	DataCenter.chaosCopyData.msg80243011 = nil;
	Lua_MsgUtil.callFunc("CHAOS_COPY_TWEEN", true);
	self:superCall("dispose");
end

function Lua_ChaosCopyChapterRewardWindow:updateShowInfo()
	local msg = DataCenter.chaosCopyData.msg80243011;
	self.itemList:setArrayData(msg.reward);

	local config = getConfig("chaos_area_stage", msg.id);
	local nextCfg = getConfig("chaos_area_stage", config.next_id);
	if nextCfg and nextCfg.chapter > config.chapter then
		self.desText.text = LanUtil.formateStr(796026, tostring(config.chapter), tostring(nextCfg.chapter));
	else
		self.desText.text = LanUtil.formateStr(796042, tostring(config.chapter));
	end
end