Lua_ChaosCopyHookIncomeChangeWindow = class("Lua_ChaosCopyHookIncomeChangeWindow", Lua_Window)
function Lua_ChaosCopyHookIncomeChangeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosCopyHookIncomeChangeWindow";
	self.skinName = "ChaosCopyHookIncomeChangeWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosCopyHookIncomeChangeWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.itemList = Array();
end

function Lua_ChaosCopyHookIncomeChangeWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList:clear();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosCopyHookIncomeChangeWindow:showWin(param)
	self:superCall("showWin", param);

	local config = DataCenter.chaosCopyUtil:getStageConfig(param);
	local lastCfg = DataCenter.chaosCopyUtil:getStageConfig(config.last_id);
	local item;
	for i,v in ipairs(lastCfg.hook_reward) do
		item = self.itemList[i];
		if item == nil then
			item = Lua_ChaosCopyHookIncomeChangeItem.new(self.content);
			self.itemList:add(item);
		end
		item:setData(v[i], config.hook_reward[i]);
		item:setLocation(-11, 118.5 - (i - 1) * 50, 0);
	end
end










Lua_ChaosCopyHookIncomeChangeItem = class("Lua_ChaosCopyHookIncomeChangeItem", Lua_DisplayObject)
function Lua_ChaosCopyHookIncomeChangeItem:ctor(p)
    self:superCall("ctor", p, "ChaosCopyHookIncomeChangeItem_skin");
end

function Lua_ChaosCopyHookIncomeChangeItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_ChaosCopyHookIncomeChangeItem:dispose()
    self:superCall("dispose");
end

function Lua_ChaosCopyHookIncomeChangeItem:setData(curData, nextData)
	local config = getConfig("item", curData[1]);
	self.icon_1:setAltas(config.atlas, config.sprite);
	self.icon_1:SetDimensions(30, 30);
	self.icon_2:setAltas(config.atlas, config.sprite);
	self.icon_2:SetDimensions(30, 30);

	self.curValue.text = curData[2];
	self.nextValue.text = nextData[2];
end