Lua_ChaosCopyPreViewRewardWindow = class("Lua_ChaosCopyPreViewRewardWindow", Lua_Window)
function Lua_ChaosCopyPreViewRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosCopyPreViewRewardWindow";
	self.skinName = "ChaosCopyPreViewRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosCopyPreViewRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.chapterList = Lua_DragList.new(self.content, 420, 120, Lua_AxisDefine.Horizontal);
	self.chapterList:setLocation(0, 105, 0);
	self.chapterList:setListCell(Lua_ChaosCopyPreViewRewardItem, 120, 120, 1);
	self.chapterList:setCellSpacing(5, 0);

	self.stageList = Lua_DragList.new(self.content, 420, 120, Lua_AxisDefine.Horizontal);
	self.stageList:setLocation(0, -60, 0);
	self.stageList:setListCell(Lua_ChaosCopyPreViewRewardItem, 120, 120, 1);
	self.stageList:setCellSpacing(5, 0);
end

function Lua_ChaosCopyPreViewRewardWindow:dispose()
	if self.chapterList then
		self.chapterList:dispose();
		self.chapterList = nil;
	end
	if self.stageList then
		self.stageList:dispose();
		self.stageList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosCopyPreViewRewardWindow:showWin(param)
	self:superCall("showWin", param);

	local config = DataCenter.chaosCopyUtil:getStageConfig(param);
	self.chapterText.text = LanUtil.formateStr(796009, tostring(config.chapter));
	self.stageText.text = LanUtil.formateStr(796010, config.stage_name);

	local arr = DataCenter.chaosCopyData:getChapterReward(config.chapter);
	self.chapterList:setArrayData(arr);

	arr = DataCenter.chaosCopyData:getStageReward(param);
	self.stageList:setArrayData(arr);
end










Lua_ChaosCopyPreViewRewardItem = class("Lua_ChaosCopyPreViewRewardItem", Lua_ListCell)
function Lua_ChaosCopyPreViewRewardItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_ChaosCopyPreViewRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setScale(0.75, 0.75, 1);

	self.tipsIcon = UICreate.createUIAtlasImage(self.content, nil, nil, 30, 45, 0, 0);
	self.tipsIcon:setScale(0.7, 0.7, 1);
	self.tipsIcon:setEnable(false);
end

function Lua_ChaosCopyPreViewRewardItem:dispose()
	if self.itemIcon then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosCopyPreViewRewardItem:setData(data)
	self.itemIcon:setData(data);
	if data.rewardType == 1 then
		self.tipsIcon:setEnable(true);
		self.tipsIcon:setAltas("chaos_copy_atlas", "xui_hdxj_label_06");
	else
		self.tipsIcon:setEnable(false);
	end
end

function Lua_ChaosCopyPreViewRewardItem:onPressClick()
	self.itemIcon:onItemClick();
end