Lua_ChaosCopyRankRewardWindow = class("Lua_ChaosCopyRankRewardWindow", Lua_Window)
function Lua_ChaosCopyRankRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosCopyRankRewardWindow";
	self.skinName = "ChaosCopyRankRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosCopyRankRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 630, 665, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -83, 0);
	self.itemList:setListCell(Lua_ChaosCopyRankRewardItem, 630, 120, 1);
	self.itemList:setCellSpacing(0, 5);

	local round = DataCenter.chaosCopyData.round;
	local arr = DataCenter.chaosCopyUtil:getRankRewardsByRound(round);
	self.itemList:setArrayData(arr);
end

function Lua_ChaosCopyRankRewardWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end











Lua_ChaosCopyRankRewardItem = class("Lua_ChaosCopyRankRewardItem", Lua_ListCell)
function Lua_ChaosCopyRankRewardItem:ctor(p)
	self:superCall("ctor", p, "ChaosCopyRankRewardItem_skin");
end

function Lua_ChaosCopyRankRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(87, 0, 0);
	self.itemList.scaleVal = 0.75;
end

function Lua_ChaosCopyRankRewardItem:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosCopyRankRewardItem:setData(data)
	local config = DataCenter.chaosCopyUtil:getRankRewardConfig(data);
	if config.rank_range[1] <= 3 then
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_1"..(config.rank_range[1] - 1));
		self.rankText:setEnable(false);
	else
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_13");
		self.rankText:setEnable(true);
		if config.rank_range[1] == config.rank_range[2] then
			self.rankText.text = config.rank_range[1];
		else
			self.rankText.text = LanUtil.formateStr(10052, tostring(config.rank_range[1]), tostring(config.rank_range[2]));
		end
		self.rankText.fontSize = config.font_size;
	end
	self.itemList:setArrayData(config.reward);
end

function Lua_ChaosCopyRankRewardItem:onPressClick()
	self.itemList:onBoundClick();
end