Lua_ChaosCopySwordUpgradeWindow = class("Lua_ChaosCopySwordUpgradeWindow", Lua_Window)
function Lua_ChaosCopySwordUpgradeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosCopySwordUpgradeWindow";
	self.skinName = "ChaosCopySwordUpgradeWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosCopySwordUpgradeWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.itemList = Array();

	self.promptText:setLangValue(796016);
	self.btnUpgrade:addClickFuntion(self, self.onUpgradeClick);

	self:addLuaEvent("CHAOS_COPY_SWORDS_INFO", self, self.updateShowInfo);
end

function Lua_ChaosCopySwordUpgradeWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList:clear();
		self.itemList = nil;
	end
	if self.costIem then
		self.costIem:dispose();
		self.costIem = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosCopySwordUpgradeWindow:showWin(param)
	self:superCall("showWin", param);
	self:updateShowInfo();
end

function Lua_ChaosCopySwordUpgradeWindow:updateShowInfo()
	local level = DataCenter.chaosCopyData:getSwordLevel(self.showData);
	config = DataCenter.chaosCopyUtil:getSwordLevelConfig(self.showData * 1000 + level);
	nextCfg = DataCenter.chaosCopyUtil:getSwordLevelConfig(self.showData * 1000 + level + 1);
	self.maxIcon:setEnable(nextCfg == nil);
	self.btnUpgrade:setEnable(nextCfg == nil);

	local idx = 1;
	local item = self.itemList[idx];
	if item == nil then
		item = Lua_ChaosCopySwordUpgradeItem.new(self.content);
		self.itemList:add(item);
	end
	item:setLocation(0, 76, 0);
	item:setIndex(idx);
	if nextCfg == nil then
		item:setLevel(level);
		self.maxIcon:setEnable(true);
		self.btnUpgrade:setEnable(false);
		self:showConsumeInfo(nil);
	else
		item:setLevel(level, level + 1);
		self.maxIcon:setEnable(false);
		self.btnUpgrade:setEnable(true);
		self:showConsumeInfo(config.cost);
	end
	
	for k,v in pairs(config.attr) do
		idx = idx + 1;
		item = self.itemList[idx];
		if item == nil then
			item = Lua_ChaosCopySwordUpgradeItem.new(self.content);
			self.itemList:add(item);
		end
		item:setLocation(0, 76 - (idx - 1) * 34, 0);
		item:setIndex(idx);
		if nextCfg == nil then
			item:setAttr(k, v);
		else
			item:setAttr(k, v, nextCfg.attr[k]);
		end
	end
end

function Lua_ChaosCopySwordUpgradeWindow:showConsumeInfo(data)
	self.costId = nil;
	if data == nil then
		if self.costIem then
			self.costIem:setEnable(false);
		end
	else
		if self.costIem == nil then
			self.costIem = Lua_ConsumeIconItem.new(self.content);
			self.costIem:setLocation(0, -360, 0);
			self.costIem.joinerStr = "/"
			self.costIem:setStyle(Lua_MyUISettings.defaultFontName, 22, "594D4D");
			self.costIem:setColorStr("479154", "E54242");
		end
		self.costIem:setEnable(true);
		self.costIem:setId(data[1], data[2]);
		if DataCenter.packData:getItemCountById(data[1]) < data[2] then
			self.costId = data[1];
		end
	end
end

function Lua_ChaosCopySwordUpgradeWindow:onUpgradeClick(go)
	if self.costId == nil then
		Lua_ProxyManager.getProxy("Lua_ChaosCopyProxy"):sSwordUpgrade(self.showData);
	else
		DataCenter.packUtil:openPathWindow(self.costId, false);
	end
end










Lua_ChaosCopySwordUpgradeItem = class("Lua_ChaosCopySwordUpgradeItem", Lua_DisplayObject)
function Lua_ChaosCopySwordUpgradeItem:ctor(p)
	self:superCall("ctor", p, "ChaosCopySwordUpgradeItem_skin");
end

function Lua_ChaosCopySwordUpgradeItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_ChaosCopySwordUpgradeItem:dispose()
	self:superCall("dispose");
end

function Lua_ChaosCopySwordUpgradeItem:setIndex(idx)
	self.bg:setEnable(idx % 2 ~= 0);
end

function Lua_ChaosCopySwordUpgradeItem:setLevel(curLv, nextLv)
	self.curText.text = curLv;
	if nextLv == nil then
		self.nextText.text = "MAX";
	else
		self.nextText.text = nextLv;
	end
end

function Lua_ChaosCopySwordUpgradeItem:setAttr(attrName, curValue, nextValue)
	local vo = DataCenter.attributesUtil:createAttrVo(attrName);
	vo.value = curValue;
	self.nameText.text = vo.show_name;
	self.curText.text = vo.showValue;
	if nextValue == nil then
		self.nextText.text = "MAX";
	else
		vo.nextValue = nextValue;
		self.nextText.text = vo.showNextValue;
	end
end